<?php

namespace Drupal\Tests\cookies\FunctionalJavascript;

/**
 * Class for testing simple cookies tests.
 *
 * @group cookies
 */
class CookiesFunctionalJsSimpleTest extends CookiesFunctionalJsTestBase {

  /**
   * Tests to see if the cdn script exists.
   */
  public function testCookieIsSet() {
    // Enable cookies from cdn:
    $this->config('cookies.config')->set('lib_load_from_cdn', TRUE)->save();
    // Place the Cookie UI Block:
    $this->placeBlock('cookies_ui_block');
    // Check script type before consent:
    $this->drupalGet('<front>');
    // Fire consent script:
    $script = "var options = { all: true };
      document.dispatchEvent(new CustomEvent('cookiesjsrSetService', { detail: options }));";
    $this->getSession()->getDriver()->executeScript($script);
    $cookie = $this->getSession()->getDriver()->getCookie('cookiesjsr');
    $this->assertEquals($cookie, '{"base":true}');
  }

}
